﻿using C1.Win.FlexReport;
using C1.Win.Ribbon;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Windows.Media;

namespace FlexViewerPrint
{
    public partial class Form1 : Form
    {
        C1FlexReport report;
        ImageField field1;
  

        public Form1()
        {
            InitializeComponent();


            field1 = new ImageField();


            report = new C1FlexReport();
            report.Load("../../ImageReport.flxr", "Interactive Report");
            //c1FlexViewer.DocumentSource = report;

            field1 = (ImageField)report.Fields["Field1"];


            if (System.IO.File.Exists("../../Sample.jpg"))
            {

                field1.Picture = "C:/Users/Boettcher/Desktop/FlexViewerExportPdf/FlexViewerPrint/FlexViewerPrint/Sample.jpg";
                report.Render();
          
            }


            C1FlexReport mergeFlex = new C1FlexReport();
            mergeFlex.Sections.PageFooter.Height = 0;
            mergeFlex.Sections.PageHeader.Height = 0;
            mergeFlex.Sections.Header.Height = 0;
            mergeFlex.Sections.Footer.Height = 0;
            mergeFlex.Layout.MarginBottom = 0;
            mergeFlex.Layout.MarginLeft = 0;
            mergeFlex.Layout.MarginRight = 0;
            mergeFlex.Layout.MarginTop = 0;
            mergeFlex.Sections.Detail.AutoHeight = AutoSizeBehavior.GrowAndShrink;
            mergeFlex.Sections.Detail.Visible = true;

            for(int i = 0; i<= (report.PageCount -1); i++)
            {
                ImageField img = new ImageField();
                SubSection section = mergeFlex.Sections.Detail.SubSections.Add();
                section.Visible = true;
                section.Height = mergeFlex.Layout.PageSize.Height;
                    section.AutoHeight = AutoSizeBehavior.None;
                img.Picture = report.GetPageImage(i);
                img.Left = 0;
                    img.Top = 0;
                img.AutoWidth = AutoSizeBehavior.CanGrow;
                img.AutoHeight = AutoSizeBehavior.GrowAndShrink;
                section.Fields.Add(img);
            }

            report = mergeFlex;
            report.Render();
            c1FlexViewer.DocumentSource = report;


        }



    }
}
